<div class="responsive" *ngIf="users$ | async as users">
  <div>
    <label for="searchUser">Cari nama user:</label>
    <input id="searchUser" [(ngModel)]="name" (ngModelChange)="nameFilterTrigger$.next($event)" value=""
      placeholder="Masukan nama">
    &nbsp;
    <mat-form-field>
      <mat-label>Filter ROLE</mat-label>
      <mat-select (selectionChange)="filterUserRole = $event.value; nameFilterTrigger$.next(name)">
        <mat-option value="any">Any</mat-option>
        <mat-option [value]="USER_ROLE.BANNED">Banned</mat-option>
        <mat-option [value]="USER_ROLE.PUBLIC">Public</mat-option>
        <mat-option [value]="USER_ROLE.RELAWAN">Relawan</mat-option>
        <mat-option [value]="USER_ROLE.MODERATOR">Moderator</mat-option>
        <mat-option [value]="USER_ROLE.ADMIN">Admin</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <table>
    <tr>
      <td>
        <div class="scrollable">
          <table>
            <thead>
              <tr>
                <th>#</th>
                <th>Nama Relawan</th>
                <th align="right">
                  <a (click)="sortBy = 'regDate'; nameFilterTrigger$.next(name)"
                    [ngClass]="{'sorted':sortBy === 'regDate'}">Kapan Bergabung</a>
                </th>
                <th>
                  <a (click)="sortBy = 'numPending'; nameFilterTrigger$.next(name)"
                  [ngClass]="{'sorted':sortBy === 'numPending'}">#Pending</a></th>
                <th>
                  <a (click)="sortBy = 'numRc'; nameFilterTrigger$.next(name)"
                  [ngClass]="{'sorted':sortBy === 'numRc'}">#Rc</a></th>
                <th>#Fc</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let u of users; index as i">
                <td>{{ i+1 }}</td>
                <td>
                  <app-user-link [uid]="u.userid" [highlight]="name"></app-user-link>
                  <div *ngIf="u.email">{{ u.email }}</div>
                  <div>Peran: {{ USER_ROLE[u.role] }}</div>
                </td>
                <td align="right" [style.backgroundColor]="utilService.getColor(u.registerDate.seconds * 1000)">
                  {{ ago(u.registerDate.seconds * 1000) }}
                </td>
                <td align="center">{{ u.numPending || 0 }}</td>
                <td align="center">{{ u.numRsChanged }}</td>
                <td align="center">{{ u.numFieldsChanged }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </td>
      <td>
        <div class="scrollable">
          <router-outlet></router-outlet>
        </div>
      </td>
    </tr>
  </table>
</div>
